Objects
The object shapes referenced by the Cybrid OrganizationAPI endpoints — identical to Cybrid's own schemas.
Organization
guidstringrequiredAuto-generated unique identifier for the organization.
namestringrequiredName provided for the organization.
created_atstring<date-time>requiredISO8601 datetime the record was created at.
updated_atstring<date-time>ISO8601 datetime the record was last updated at.
PatchOrganization
Request body for organization modification.
namestringName for the organization.
Subscription
guidstringrequiredAuto-generated unique identifier for the subscription.
organization_guidstringThe organization guid for the subscription.
namestringrequiredName provided for the subscription.
typewebhook | emailrequiredThe type of subscription.
urlstringThe url for the subscription. Required when subscription_type is webhook.
signing_keystringSubscription private signing key. Optional when subscription_type is webhook.
recipientstringRecipient email address. Required when subscription_type is email.
deliveries_failing_sincestring<date-time>ISO8601 datetime the deliveries started failing.
environmentstringrequiredThe environment that the subscription is configured for; one of sandbox or production.
statestringrequiredThe state of the subscription; one of storing, completed, or failed.
failure_codestringThe failure code of a subscription (if any)
created_atstring<date-time>ISO8601 datetime the record was created at.
updated_atstring<date-time>ISO8601 datetime the record was last updated at.
PostSubscription
Request body for subscription creation.
environmentsandbox | productionrequiredThe environment that the subscription is configured for.
typewebhook | emailrequiredType of the subscription.
namestringrequiredName provided for the subscription.
urlstringURL provided for the subscription. Required when type is webhook.
recipientstringRecipient email address. Required when type is email.
PatchSubscription
Request body for subscription modification.
namestringName for the subscription.
SubscriptionList
totalintegerrequiredThe total number of records available.
pageintegerrequiredThe page index to retrieve.
per_pageintegerrequiredThe number of entities per page to return.
objectsobject[]requiredSubscriptionEvent
guidstringrequiredAuto-generated unique identifier for the subscription event.
bank_guidstringThe bank guid for which the event is received.
event_typestringrequiredThe type of the subscription event. One of trade.storing, trade.pending, trade.executed, trade.cancelled, trade.completed, trade.settling, trade.failed, transfer.storing, transfer.pending, transfer.holding, transfer.reviewing, transfer.cancelling, transfer.completed, transfer.failed, identity_verification.storing, identity_verification.pending, identity_verification.reviewing, identity_verification.waiting, identity_verification.expired, identity_verification.completed, plan.storing, plan.planning, plan.completed, plan.failed, execution.storing, execution.executing, execution.completed, execution.failed, account.minimums.funding_pull.below_minimum, or account.minimums.funding_pull.near_minimum.
object_guidstringrequiredThe object guid for which the event is received.
environmentstringrequiredThe environment that the subscription event is configured for; one of sandbox or production.
organization_guidstringrequiredThe organization guid of the subscription event.
created_atstring<date-time>requiredISO8601 datetime the record was created at.
updated_atstring<date-time>ISO8601 datetime the record was last updated at.
SubscriptionEventList
totalintegerrequiredThe total number of records available.
pageintegerrequiredThe page index to retrieve.
per_pageintegerrequiredThe number of entities per page to return.
objectsobject[]requiredSubscriptionDelivery
guidstringrequiredAuto-generated unique identifier for the subscription delivery.
responsestringThe response of the subscription delivery.
subscription_event_guidstringrequiredThe subscription event guid of the subscription delivery.
subscription_guidstringrequiredThe subscription guid of the subscription delivery.
statestoring | completed | failing | failedrequiredThe state of the subscription delivery.
next_attempt_atstring<date-time>ISO8601 datetime the next attempt will be made.
attempt_countintegerrequiredThe number of attempts made to deliver the event.
completed_atstring<date-time>ISO8601 datetime the event was delivered.
failed_atstring<date-time>ISO8601 datetime the event delivery was marked as failed.
created_atstring<date-time>ISO8601 datetime the record was created at.
updated_atstring<date-time>ISO8601 datetime the record was last updated at.
PostSubscriptionDelivery
Request body for subscription delivery creation.
subscription_event_guidstringrequiredThe event guid .
subscription_guidstringrequiredThe subscription guid.
SubscriptionDeliveryList
totalintegerrequiredThe total number of records available.
pageintegerrequiredThe page index to retrieve.
per_pageintegerrequiredThe number of entities per page to return.
objectsobject[]requiredErrorResponse
statusintegerrequiredStatus code for Http Request
error_messagestringrequiredError message
message_codestringrequiredMessage code for Error